import java.lang.management.ManagementFactory;
import java.lang.management.ThreadMXBean;

public class Fib {

	private static long fib(int n) {
		if (n == 0 || n == 1) {
			return n;
		}

		return fib(n - 1) + fib(n-2);
	}

	public static void main(String[] args) {
	    final ThreadMXBean bean = ManagementFactory.getThreadMXBean();
	    
	    if (args.length!=1){
	    	System.out.println("USO: Fib n\n");
	    	System.exit(-1);
	    }
	    
	    // Seu codigo
	    long x = fib(Integer.valueOf(args[0]));
	    
	    System.out.printf("%.5f\n", (double)bean.getCurrentThreadCpuTime()/1000000000.0);
	}
}
