import java.lang.management.ManagementFactory;
import java.lang.management.ThreadMXBean;

public class MultInt {

	public static void main(String[] args) {
		final ThreadMXBean bean = ManagementFactory.getThreadMXBean();

		if (args.length!=1){
			System.out.println("Uso: mult <tam>");
			System.exit(-1);
		}
		
		mult(Integer.parseInt(args[0]));

		System.out.printf("%.5f\n",
				(double) bean.getCurrentThreadCpuTime() / 1000000000.0);
	}

	private static void mult(final int tam) {
		int i, j, k;
		int v1[][] = new int[tam][tam];
		int v2[][] = new int[tam][tam];
		int res[][] = new int[tam][tam];

		for (i = 0; i < tam; i++) {
			for (j = 0; j < tam; j++) {
				v1[i][j] = v2[i][j] = (i+j);
			}
		}
		
		
		for (i = 0; i < tam; i++) {
			for (j = 0; j < tam; j++) {
				res[i][j] = 0;
				for (k = 0; k < tam; k++) {
					res[i][j] += v1[i][k] * v2[k][j];
				}
			}
		}
	}

}
