import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.lang.management.ManagementFactory;
import java.lang.management.ThreadMXBean;

public class IO {

	public static void main(String[] args) {
		final ThreadMXBean bean = ManagementFactory.getThreadMXBean();
		byte buffer[] = new byte[1024];

		if (args.length != 1) {
			System.out.println("Uso: IO <nomearquivo>");
			return;
		}

		try {
			FileInputStream fis = new FileInputStream(args[0]);
			FileOutputStream fos = new FileOutputStream("filecopied.bin");

			int read = 0;

			// Read (and print) till end of file
			while ((read = fis.read(buffer)) != -1){
/*				for (int i=0; i< read; i++){
					buffer[i]+=32;
				}
 */
				fos.write(buffer, 0, read);
			}
			fis.close();
			fos.close();
		} catch (IOException ioe) {
			ioe.printStackTrace();
		}

		System.out.printf("%.5f\n",
				(double) bean.getCurrentThreadCpuTime() / 1000000000.0);
	}
}
