#include <stdio.h>
#include <stdlib.h>
#include <sys/resource.h>

long int fib(int n){
     if (n==0 || n==1){
        return n;         
     }
     return fib(n-1) + fib(n-2);
}


int main (int argc, char** argv){
   struct rusage resources;
   int rc;
   double utime, stime, total_time;
    

    if (argc!=2){
      printf("USO: fib n\n");
      exit(-1);
    }    

    //Seu codigo
    long int x = fib(atoi(argv[1]));

    printf("%ld;",x);
	if((rc = getrusage(RUSAGE_SELF, &resources)) != 0)
       perror("getrusage failed");

	utime = (double) resources.ru_utime.tv_sec + 1.e-6 * (double) resources.ru_utime.tv_usec;
    stime = (double) resources.ru_stime.tv_sec + 1.e-6 * (double) resources.ru_stime.tv_usec;
    total_time = utime+stime;
    printf("%.5lf\n",total_time);
    
    return 0;
}
