#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <math.h>
#include <string.h>
#include <ctype.h>
#include <sys/resource.h>


void leArquivoOrigem(char *nomeArquivoOrigem, int** vetor, int *qtdePosicao);

int main (int argc, char** argv){
    struct rusage resources;
    int rc;
    double utime, stime, total_time;
	
	FILE* arquivoOrigem;
	FILE* arquivoDestino;
	int i,aux;
	char buffer[32 * 1024];
	
	if (argc!=2){
		printf("Uso: io <nomearquivo>");
		return -1;
	}
	
	//Abre o arquivo de Origem
	if ((arquivoOrigem = fopen(argv[1], "r")) == NULL){
		printf("O ARQUIVO %s NAO PODE SER ABERTO.\n",argv[1]);
		exit(-1);
	}
	if ((arquivoDestino = fopen("res_io.txt", "w")) == NULL){
		printf("O ARQUIVO %s NAO PODE SER ABERTO.\n","filecopied.bin");
		exit(-1);
	}
	
	while (!feof(arquivoOrigem)) {
		fgets(buffer, sizeof(buffer),arquivoOrigem);
		fputs(buffer,arquivoDestino);
	}
	
	fclose(arquivoOrigem); //Fecha o arquivo de Origem
	fclose(arquivoDestino); //Fecha o arquivo de Destino
    
    if((rc = getrusage(RUSAGE_SELF, &resources)) != 0)
        perror("getrusage failed");

    utime = (double) resources.ru_utime.tv_sec + 1.e-6 * (double) resources.ru_utime.tv_usec;
    stime = (double) resources.ru_stime.tv_sec + 1.e-6 * (double) resources.ru_stime.tv_usec;
    total_time = utime+stime;
    printf("%.5lf\n",total_time);
	
    return 0;
}

